How to fix problems with visual studio 2017 last update?

juanzeta33juanzeta33 USMember ✭✭

Hello everyone,

I am working with Visual Studio 2017 and in his last update all my Plugins, extension and references get a warning, for example:

Warning Skipping QueXopaApp.Droid.Resource.Drawable.ic_cast_off_light. Please check that your Nuget Package versions are compatible. QueXopaApp.Android C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\Android\Xamarin.Android.Common.targets

in total, is 249 warnings similar.

I have Xamarin 4.5.0.476, Xamarin.Android 7.3.1.2, Xamarin.IOS 10.10.0.35.

To solve these warnings, I have tried updating the components and downgrade the xamarin.android version but nothing worked.

I have already created a new project and also creates the warnings.
The project compiles and executes, but in the screens that use the plugins it throws exceptions.

This is some Plugins I am using:
1. XLabs v2.0.5728 (don't work)
2. Cross Media v2.6.2 (work's fine)
3. Cross Connectivity v2.3.0 (i dont know if work)
4. Toast v3.2.0 (work's fine)
5. Http v2.2.29 (work's fine)
6. Json v10.0.2 (work's fine)
7. SqLite v3.1.1 (work's fine)

and the defaults components like
1. all the Xamarin.Android.Support... v24.2.1 for all
2. Microsoft.Build v1.0.21

can anybody help me?
BTW/ I post this in Xamarin in Visual Studio forums section but nobody answer me :neutral:

Answers

  • nitheleliasnithelelias USMember

    tambien esta reventado el mio no se que hacer

  • AlmaJensen.9398AlmaJensen.9398 USMember ✭✭✭

    I don't know all of what's going on with your project but if you are having problems with 2017 I would go back to VS 2015.

    The one comment I do have is if it is at all reasonable for you uninstall xlabs. Please see here as to why.https://github.com/XLabs/Xamarin-Forms-Labs/commit/ed7b2ac7a8303d8c78215403905fb0356a166e46

  • WarwenczackWarwenczack BRMember ✭✭

    @juanzeta33 said:
    Hello everyone,

    I am working with Visual Studio 2017 and in his last update all my Plugins, extension and references get a warning, for example:

    Warning Skipping QueXopaApp.Droid.Resource.Drawable.ic_cast_off_light. Please check that your Nuget Package versions are compatible. QueXopaApp.Android C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\Android\Xamarin.Android.Common.targets

    in total, is 249 warnings similar.

    I have Xamarin 4.5.0.476, Xamarin.Android 7.3.1.2, Xamarin.IOS 10.10.0.35.

    To solve these warnings, I have tried updating the components and downgrade the xamarin.android version but nothing worked.

    I have already created a new project and also creates the warnings.
    The project compiles and executes, but in the screens that use the plugins it throws exceptions.

    This is some Plugins I am using:
    1. XLabs v2.0.5728 (don't work)
    2. Cross Media v2.6.2 (work's fine)
    3. Cross Connectivity v2.3.0 (i dont know if work)
    4. Toast v3.2.0 (work's fine)
    5. Http v2.2.29 (work's fine)
    6. Json v10.0.2 (work's fine)
    7. SqLite v3.1.1 (work's fine)

    and the defaults components like
    1. all the Xamarin.Android.Support... v24.2.1 for all
    2. Microsoft.Build v1.0.21

    can anybody help me?
    BTW/ I post this in Xamarin in Visual Studio forums section but nobody answer me :neutral:

    Have you already try to reinstall the X.F. ?

Sign In or Register to comment.